Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class RDFS.Nodes

    java.lang.Object
      com.hp.hpl.jena.vocabulary.RDFS.Nodes

Enclosing class:
  RDFS

    public static class RDFS.Nodes

extends java.lang.Object

The RDFS vocabulary, expressed for the SPI layer in terms of .graph Nodes.

Field Summary
`static Node` | `Class`
`static Node` | `comment`
`static Node` | `ConstraintProperty`
`static Node` | `Container`
`static Node` | `ContainerMembershipProperty`
`static Node` | `Datatype`
`static Node` | `domain`
`static Node` | `isDefinedBy`
`static Node` | `label`
`static Node` | `Literal`
`static Node` | `member`
`static Node` | `range`
`static Node` | `Resource`
`static Node` | `seeAlso`
`static Node` | `subClassOf`
`static Node` | `subPropertyOf`

Constructor Summary
`RDFS.Nodes()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Class

    public static final Node Class

### Datatype

    public static final Node Datatype

### ConstraintProperty

    public static final Node ConstraintProperty

### Container

    public static final Node Container

### ContainerMembershipProperty

    public static final Node ContainerMembershipProperty

### Literal

    public static final Node Literal

### Resource

    public static final Node Resource

### comment

    public static final Node comment

### domain

    public static final Node domain

### label

    public static final Node label

### isDefinedBy

    public static final Node isDefinedBy

### range

    public static final Node range

### seeAlso

    public static final Node seeAlso

### subClassOf

    public static final Node subClassOf

### subPropertyOf

    public static final Node subPropertyOf

### member

    public static final Node member

Constructor Detail

### RDFS.Nodes

    public RDFS.Nodes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP